Package org.springframework.aot.hint.annotation

# Interface ReflectiveProcessor

All Known Implementing Classes:
  `RegisterReflectionReflectiveProcessor`, `SimpleReflectiveProcessor`

public interface ReflectiveProcessor
Process an `AnnotatedElement` and register the necessary reflection hints for it.

`ReflectiveProcessor` implementations are registered via `@Reflective(processors = ...)`.

Since:
  6.0
Author:
  Stephane Nicoll
See Also:
  - `@Reflective`

## Method Summary

Modifier and Type
Method
Description
`void`
`registerReflectionHints(ReflectionHints hints, AnnotatedElement element)`
Register `ReflectionHints` against the specified `AnnotatedElement`.

## Method Details

### registerReflectionHints

void registerReflectionHints(ReflectionHints hints, AnnotatedElement element)
Register `ReflectionHints` against the specified `AnnotatedElement`.

Parameters:
  `hints` - the reflection hints instance to use
  `element` - the element to process